
Infrastructure - Task #3566

Story # 3561 (Closed): OneMercury UI Review Updates

Improve speed of search result display

2013-02-11 16:53 - Skye Roseboom

Status: Closed Start date: 2013-02-11

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: 2013.14-Block.2.3   

Milestone: CCI-1.1.2 Story Points:  

Product Version: *   

Description

Investigate speeding up time for search results to render by reducing the additional number of queries needed to construct the data

panel display information.

History

#1 - 2013-02-26 22:33 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2013-02-28 14:54 - Skye Roseboom

OneMercury Performance

stage-orc-2 index, dev laptop as tomcat server

text:* with data

response time was: 16989

response time was: 17602

response time was: 16916

response time was: 16200

text:* any record

response time was: 14227

response time was: 11854

response time was: 11309

response time was: 11769

text:kelp with data

response time was: 16705

response time was: 14986

text:kelp any record

response time was: 13398

response time was: 16707

text:* with data, no data package data

response time was: 1045

response time was: 928

response time was: 843

response time was: 2113

text:* any record, no data package data

response time was: 873

response time was: 845

response time was: 1630

response time was: 1370

response time was: 906

text:kelp with data, no data package

response time was: 666

response time was: 652
text:kelp any record, no data package

response time was: 908

response time was: 1991

response time was: 705

Appears the overhead of opening ssl connections to build the data panel display is adding 10-12 seconds to the search result response time.

Working on creating an ajax solution to lazily load the data panel information on request by user to view the download panel.

#3 - 2013-02-28 14:58 - Dave Vieglais

Is this an opportunity to use persistent connections - so that a single or small set of SSL connections are re-used?

#4 - 2013-03-01 18:46 - Skye Roseboom

- Target version set to 2013.10-Block.2.1

#5 - 2013-03-04 15:15 - Skye Roseboom

- Milestone changed from CCI-1.1.1 to CCI-1.1.2

#6 - 2013-03-05 19:39 - Skye Roseboom

- Status changed from In Progress to Testing

#7 - 2013-04-02 16:10 - Skye Roseboom

- Target version deleted (2013.10-Block.2.1)

#8 - 2013-04-02 16:12 - Skye Roseboom

- Target version set to 2013.14-Block.2.3

#9 - 2013-05-13 23:38 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

deployed ajax backed download panel to speed up search results.
